States
Comments
Drivers rankings
AK
AL
AR
AZ
CA
CO
CT
DC
DE
FL
GA
HI
IA
ID
IL
IN
KS
KY
LA
MA
MD
ME
MI
MN
MO
MS
MT
NC
ND
NE
NH
NJ
NM
NV
NY
OH
OK
OR
PA
RI
SC
SD
TN
TX
UT
VA
VT
WA
WI
WV
WY
New comment
Rules
Selected comments
MIB3338
Anonymous
04/30/21 5:58 PM
One of the worst drivers I have ever seen. Literally swerved infront of another car to get into the rocky median and go 90mph for about a mile and then speed off going around 110.
Reply
Rate this comment:
+
1
-
MKH 813
Jimmy Jose
12/01/16 2:22 PM
Swerving and speeding and cut me off. Almost caused an accident
Reply
Rate this comment:
+
13
-
HUMAN
10/31/25 11:59 PM
good
Reply
Rate this comment:
+
1
-
GA18467
Anonymous
02/03/24 2:36 AM
This truck almost caused a crash and drove erratically
Reply
Rate this comment:
+
1
-
CTKEN
Anonymous
12/18/23 9:23 AM
CinnamonToastKen
Reply
Rate this comment:
+
0
-
More comments »
Pages:
1
, ...,
38738
,
38739
,
38740
,
38741
,
38742
,
38743
,
38744
,
38745
,
38746
,
38747
,
38748
,
38749
,
38750
,
38751
,
38752
,
38753
,
38754
,
38755
,
38756
,
38757
,
38758
, ...,
58587
MS license plates:
RFC 101
RFC 102
RFC 103
RFC 104
RFC 105
RFC 106
RFC 107
RFC 108
RFC 109
RFC 110
RFC 111
RFC 112
RFC 113
RFC 114
RFC 115
RFC 116
RFC 117
RFC 118
RFC 119
RFC 120
RFC 121
RFC 122
RFC 123
RFC 124
RFC 125
RFC 126
RFC 127
RFC 128
RFC 129
RFC 130
RFC 131
RFC 132
RFC 133
RFC 134
RFC 135
RFC 136
RFC 137
RFC 138
RFC 139
RFC 140
RFC 141
RFC 142
RFC 143
RFC 144
RFC 145
RFC 146
RFC 147
RFC 148
RFC 149
RFC 150
RFC 151
RFC 152
RFC 153
RFC 154
RFC 155
RFC 156
RFC 157
RFC 158
RFC 159
RFC 160
RFC 161
RFC 162
RFC 163
RFC 164
RFC 165
RFC 166
RFC 167
RFC 168
RFC 169
RFC 170
RFC 171
RFC 172
RFC 173
RFC 174
RFC 175
RFC 176
RFC 177
RFC 178
RFC 179
RFC 180
RFC 181
RFC 182
RFC 183
RFC 184
RFC 185
RFC 186
RFC 187
RFC 188
RFC 189
RFC 190
RFC 191
RFC 192
RFC 193
RFC 194
RFC 195
RFC 196
RFC 197
RFC 198
RFC 199
RFC 200
RFC 201
RFC 202
RFC 203
RFC 204
RFC 205
RFC 206
RFC 207
RFC 208
RFC 209
RFC 210
RFC 211
RFC 212
RFC 213
RFC 214
RFC 215
RFC 216
RFC 217
RFC 218
RFC 219
RFC 220
RFC 221
RFC 222
RFC 223
RFC 224
RFC 225
RFC 226
RFC 227
RFC 228
RFC 229
RFC 230
RFC 231
RFC 232
RFC 233
RFC 234
RFC 235
RFC 236
RFC 237
RFC 238
RFC 239
RFC 240
RFC 241
RFC 242
RFC 243
RFC 244
RFC 245
RFC 246
RFC 247
RFC 248
RFC 249
RFC 250
RFC 251
RFC 252
RFC 253
RFC 254
RFC 255
RFC 256
RFC 257
RFC 258
RFC 259
RFC 260
RFC 261
RFC 262
RFC 263
RFC 264
RFC 265
RFC 266
RFC 267
RFC 268
RFC 269
RFC 270
RFC 271
RFC 272
RFC 273
RFC 274
RFC 275
RFC 276
RFC 277
RFC 278
RFC 279
RFC 280
RFC 281
RFC 282
RFC 283
RFC 284
RFC 285
RFC 286
RFC 287
RFC 288
RFC 289
RFC 290
RFC 291
RFC 292
RFC 293
RFC 294
RFC 295
RFC 296
RFC 297
RFC 298
RFC 299
RFC 300
RFC 301
RFC 302
RFC 303
RFC 304
RFC 305
RFC 306
RFC 307
RFC 308
RFC 309
RFC 310
RFC 311
RFC 312
RFC 313
RFC 314
RFC 315
RFC 316
RFC 317
RFC 318
RFC 319
RFC 320
RFC 321
RFC 322
RFC 323
RFC 324
RFC 325
RFC 326
RFC 327
RFC 328
RFC 329
RFC 330
RFC 331
RFC 332
RFC 333
RFC 334
RFC 335
RFC 336
RFC 337
RFC 338
RFC 339
RFC 340
RFC 341
RFC 342
RFC 343
RFC 344
RFC 345
RFC 346
RFC 347
RFC 348
RFC 349
RFC 350
RFC 351
RFC 352
RFC 353
RFC 354
RFC 355
RFC 356
RFC 357
RFC 358
RFC 359
RFC 360
RFC 361
RFC 362
RFC 363
RFC 364
RFC 365
RFC 366
RFC 367
RFC 368
RFC 369
RFC 370
RFC 371
RFC 372
RFC 373
RFC 374
RFC 375
RFC 376
RFC 377
RFC 378
RFC 379
RFC 380
RFC 381
RFC 382
RFC 383
RFC 384
RFC 385
RFC 386
RFC 387
RFC 388
RFC 389
RFC 390
RFC 391
RFC 392
RFC 393
RFC 394
RFC 395
RFC 396
RFC 397
RFC 398
RFC 399
RFC 400
Pages:
1
, ...,
38738
,
38739
,
38740
,
38741
,
38742
,
38743
,
38744
,
38745
,
38746
,
38747
,
38748
,
38749
,
38750
,
38751
,
38752
,
38753
,
38754
,
38755
,
38756
,
38757
,
38758
, ...,
58587
Worst drivers in November
FUCK (MD)
THIS (CA)
WEBSITE (CA)
GTA6 (FL)
FUCK (CA)
SITE (CA)
PERKELE (FL)
PAJEET (IN)
NIGGER (MD)
FUCKUSA (CA)
View drivers' rankings from previous months »
Do you like us?
or transfer some Bitcoins to
19DWP5RifL6s1qgQTFr9pnpwqUgUUUxbuM
One of the worst drivers I have ever seen. Literally swerved infront of another car to get into the rocky median and go 90mph for about a mile and then speed off going around 110.